<?php
/**
 * WebUser class file
 *
 */

class WebUser extends CWebUser
{
	/**
	 *
	 */
	public $createUrl = array('/site/register');
	
	/**
	 *
	 */
	public $loginUrl = array('/site/login');
	
	/**
	 *
	 */
	public $logoutUrl = array('/site/logout');
	
	/**
	 * 
	 */
	private $_model = null;
	
	/**
	 * 
	 */
	public function init()
	{
		parent::init();
	}
	 
	/**
	 * 
	 */
	public function getModel()
	{
		if($this->_model === null && isset($this->id))
		{			
			$this->_model = User::model()->find("id=:id", array(
				':id' => $this->id,
			));
			if($this->_model === null)
			{
				$this->logout();
				
				throw new CException(Yii::t('application', 'User id {id} cannot be found.', array(
					'{id}'=>$this->id,
				)));
			}
		}
		return $this->_model;
	}
	
	/**
	 * 
	 */
	public function getIsGuest()
	{
		return $this->getModel() === null;
	}
}
